Topic: FST with MT 600+(2)

Now, it seems, working correctly. Bug fixed. It's been bug of metaquotes. Check, please, attentively. Moderators, delete my first post.

Post's attachments

MQ4.ZIP 45.49 kb, 78 downloads since 2014-02-13 

You don't have the permssions to download the attachments of this post.

2 (edited by antidot 2014-02-13 23:39:49)

Re: FST with MT 600+(2)

I´ll try it
smile
thx anyway

tried it. compiles fine.
... absolutely perfect, it seems smile... if theres nothing hidden in the code that causes strange acting.
Its my first time with FST anyway

Re: FST with MT 600+(2)

I keep testing... it crashes without any statement. it seems when i use my own templates it doesnt work.
But more of this tomorrow. need some rest.

4 (edited by serfel 2014-02-14 08:35:12)

Re: FST with MT 600+(2)

It is compiled on Visual C ++ 2010. If there are any problems, most likely, in your operating system Microsoft Visual C++ 2010 Redistributable Package isn't established. (it is possible to download at Microsoft). I don't see mistakes. If doesn't work, report the version of the operating system.

Re: FST with MT 600+(2)

Hi,
doesn`t work with build 604.Cannot load Library.dll

Re: FST with MT 600+(2)

It seems that it is working now on build 600. I'm testing.

Re: FST with MT 600+(2)

tinka2000 wrote:

Hi,
doesn`t work with build 604.Cannot load Library.dll

Post UP!

8 (edited by zenoni 2014-02-15 16:03:55)

Re: FST with MT 600+(2)

MT4 build 600 updated itself to Build 610. No the FST is no longer working, I get an error each time I start the FST and linked it to MT4.

I included a screenshot also. Very very bad situation indeed.

I also found an thread about build 610: http://forum.mql4.com/60983

Post's attachments

build610.PNG 58.26 kb, file has never been downloaded. 

You don't have the permssions to download the attachments of this post.

Re: FST with MT 600+(2)

My Alpari terminal is 604, it not updated to 610, can't see this mistake. Probably, metaquotes's again changed work with strings. When these curve hands will calm down, only then it is possible to complete everything and to trade. Very big risk now. These (...!!!!) again something will change, and - loss of money... That I think about these "programmers", I can tell only in russian, such words in english aren't present.

Re: FST with MT 600+(2)

serfel wrote:

My Alpari terminal is 604, it not updated to 610, can't see this mistake. Probably, metaquotes's again changed work with strings. When these curve hands will calm down, only then it is possible to complete everything and to trade. Very big risk now. These (...!!!!) again something will change, and - loss of money... That I think about these "programmers", I can tell only in russian, such words in english aren't present.

They tell they "improved" it... The update is turning into a bigger circus than I expected. This essentially a beta-testing can take some time, maybe we'll have build 700 by next month. Only consolation is that we are not the only ones suffering with this.

Sergei, you got me interested, how do you translate "metaquotes programmer" into Russian? big_smile

Re: FST with MT 600+(2)

Well, I am the intelligent person, I can't tell such words here lol
I replaced at myself in the advisor
...
Server(); // It's OK. We start the server.
...
if (!GlobalVariableCheck("build")) GlobalVariableSet("build",TerminalInfoInteger(TERMINAL_BUILD));
    if (GlobalVariableGet("build") != (double)TerminalInfoInteger(TERMINAL_BUILD))                     // updated and changed
    { 
       CloseProfitAll(100);                                                                            // Attempt to close all orders with profit.
       GlobalVariableSet("build", TerminalInfoInteger(TERMINAL_BUILD));
       Comment("build is changed, trade is not allowed.");
    }
    else Server(); // It's OK. We start the server.
...
Now after their updating, the advisor will try to close all orders, if their profit is more than the specified. But, anyway, won't trade while I won't see that there was a change.

Re: FST with MT 600+(2)

610 - no errors.

Re: FST with MT 600+(2)

tinka2000 wrote:

Hi,
doesn`t work with build 604.Cannot load Library.dll

Build 604.
i tried this - I copied library.dll file in the main dir,in MQL4 dir and the whole "experts" dir from my backup MT4.
Now the FST is loading but when in FST i set the connection ID the FST freezes.In MT4 i see Forex Strategy Trader is CONNECTED.For me this started 5 days ago.

14 (edited by serfel 2014-02-16 23:04:07)

Re: FST with MT 600+(2)

Try this DLL, (compiled on another version VC++), and recomplile EA. (for me it working normally on 604 , and, now on 610).

Post's attachments

MT4-FST Library.dll 49.5 kb, 57 downloads since 2014-02-16 

You don't have the permssions to download the attachments of this post.

Re: FST with MT 600+(2)

I tried a new DLL. I don't know why, but I still get an unreadable error message (chinese symbols) when connecting FST to MT4 (build 610). I try to reinstall everything.

Post's attachments

failure.PNG 75.35 kb, file has never been downloaded. 

You don't have the permssions to download the attachments of this post.

Re: FST with MT 600+(2)

i get this strange message too.
regards!

Re: FST with MT 600+(2)

I have the same problem. The new version gives FTS Chinese characters. The old version of the FST is not receiving information from an expert. Expert at the terminal writes connection.

18 (edited by kukreknecmi 2014-02-18 17:27:24)

Re: FST with MT 600+(2)

Try to delete all MT4-FST Expert.ex4 ,  MT4-FST Expert.dll , MT4-FST Expert.ex4 files in your metatrader directory. even if they are on different folders. if you have these files in  MQL4\Libraries  , \MQL4\experts etc. delete them first, then extract from zip. For me it works if you put both .dll and .mql on the same MQL4\experts folder.

It connects correctly, i start automatic execution, it cannot execute any trade on metatrader. Then it disconnects and says not connected.


http://s23.postimg.org/himoxqmyf/20140218161840303.jpg


Edit : It also cannot send any trade via manual trade, on Operation tab. Same error, MT doesnt respond and disconnects.

Re: FST with MT 600+(2)

Next trying... (Maybe, last?).

Post's attachments

MQL4.ZIP 184.11 kb, 37 downloads since 2014-02-19 

You don't have the permssions to download the attachments of this post.

20 (edited by och 2014-02-20 09:30:16)

Re: FST with MT 600+(2)

serfel wrote:

Next trying... (Maybe, last?).

Dear Serfel,
Very strange. It seems that MQL4 compilator does not allow anumore passing array of string as reference/parameter...
Regards,
och

http://s7.postimg.org/97ot3sig7/20_02_2014_09_20_49.jpg

Post's attachments

20-02-2014 09-20-49.png 175.21 kb, file has never been downloaded. 

You don't have the permssions to download the attachments of this post.

21 (edited by kukreknecmi 2014-02-20 15:24:06)

Re: FST with MT 600+(2)

It compiled correcty for me. MetaEditor build 887

http://i.imgur.com/kGlaOPX.png

Yet it seems it is repeating all info upon tick update on Journal, despite "show incoming ticks"s  status.  Not sure if its ment to work in that way.

http://i.imgur.com/DBU7ZIf.png
http://i.imgur.com/6rnR6VB.png

Re: FST with MT 600+(2)

kukreknecmi wrote:

Yet it seems it is repeating all info upon tick update on Journal, despite "show incoming ticks"s  status.  Not sure if its ment to work in that way.

Thank you, yet one bug killed.

Post's attachments

MQL4.ZIP 184.14 kb, 32 downloads since 2014-02-20 

You don't have the permssions to download the attachments of this post.

23 (edited by antidot 2014-02-21 03:20:02)

Re: FST with MT 600+(2)

serfel wrote:

It is compiled on Visual C ++ 2010. If there are any problems, most likely, in your operating system Microsoft Visual C++ 2010 Redistributable Package isn't established. (it is possible to download at Microsoft). I don't see mistakes. If doesn't work, report the version of the operating system.

well running on win7 64... FST always change status to "not connected"...
MT4 610
You really think this is about c++ package?

while expanding the dll infos most of them show red signs...? i don´t have standard c:\ installation which is a big Problem obv.

ok since i replaced the files with the ones from the zip: no connection at all anymore.

Re: FST with MT 600+(2)

If trouble, your OS and screenshot like this

http://s13.postimg.org/ikkh39pvn/image.jpg

25

Re: FST with MT 600+(2)

Thanks a lot serfel!
Thanks also to kukreknecmi who make me realiszed, I need to upgrade metaeditor from 883 to 887 and MT4 client from 579 to 610... (OO mql4 language version is from 509, so I thaugth it was enough : it was not!) I was connect to my broker demo account and to force both MetaEditor and MT4 Client you need to connect to MetaQuotes Demo server! (just forget!) this is anoying, but constraints...
We can really wonder if a MT4 client forced to 610 will works correctly on a broker account who do not push thoses updates... But this is another topic...

Serfel,
I am not a newbie in development (Pascal OO, MQL4, MQL5, SQL, JAVA, C#, C++ ...) but I am completly newbie in Microsoft Visual Studio.
I download the three packages from github (fsb Trader, fsb Builder and source of the dll). I also have a Visual Studio 2010 installed.

So I will just have 3 questions :

  • 1.  I managed to open and recompile (build) fsb Builder, with VS2012, but can't open fsb Trader, VS tell me that the solution have been created by a newer version and cannot be opened, Do I need to install VS 2008? Can I have on the same client VS2010 and VS 2008
    2.  What version is required for the DLL?
    3. Can you point quickly on modification you made on the DLL source, if you made some? For the expert I can use original mq4 and the one you provide to point on updates...

Regards and thanks again,
och